Package org.eclipse.m2m.atl.emftvm.util

# Class LazyOrderedSet.NonCachingOrderedSet<E>

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection<E>
org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet<E>
org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet.NonCachingOrderedSet<E>

Type Parameters:
  `E` - the collection element type

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`, `List<E>`, `Set<E>`

Direct Known Subclasses:
  `LazyOrderedSet.AppendOrderedSet`, `LazyOrderedSet.ExcludingOrderedSet`, `LazyOrderedSet.ReverseOrderedSet`, `LazyOrderedSet.SubOrderedSet`

Enclosing class:
  LazyOrderedSet<E>

public abstract static class LazyOrderedSet.NonCachingOrderedSet<E> extends LazyOrderedSet<E>
`LazyOrderedSet` that disables caching of the underlying `LazyOrderedSet`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet

`LazyOrderedSet.AppendOrderedSet<E>, LazyOrderedSet.ExcludingOrderedSet<E>, LazyOrderedSet.InsertAtOrderedSet<E>, LazyOrderedSet.IntegerRangeOrderedSet, LazyOrderedSet.LongRangeOrderedSet, LazyOrderedSet.NonCachingOrderedSet<E>, LazyOrderedSet.PrependOrderedSet<E>, LazyOrderedSet.ReverseOrderedSet<E>, LazyOrderedSet.SubOrderedSet<E>`

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

## Constructor Summary

Constructors
Constructor
Description
`NonCachingOrderedSet(LazyOrderedSet<E> dataSource)`
Creates a `LazyOrderedSet.NonCachingOrderedSet` around `dataSource`.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createCache()`
Creates the cache collections.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet

`add, addAll, append, asOrderedSet, asString, at, collect, count, equals, excluding, excludingAll, first, flatten, get, hashCode, including, including, includingAll, includingAll, includingRange, indexOf, indexOf2, insertAt, intersection, intersection, intersection, iterator, last, lastIndexOf, lastIndexOf2, listIterator, listIterator, prepend, reject, remove, reverse, select, set, sortedBy, spliterator, subList, subSequence, subtract, subtract, symmetricDifference, union, union, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`add, addAll, any, appendElements, asBag, asSequence, asSet, clear, contains, containsAll, containsAny, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isEmpty, isUnique, iterate, mappedBy, mappedBySingle, max, min, notEmpty, one, product, remove, removeAll, retainAll, size, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, size, sort, toArray, toArray`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, size, toArray, toArray`

## Constructor Details

### NonCachingOrderedSet

public NonCachingOrderedSet(LazyOrderedSet<E> dataSource)
Creates a `LazyOrderedSet.NonCachingOrderedSet` around `dataSource`.

Parameters:
  `dataSource` - the underlying collection

## Method Details

### createCache

protected void createCache()
Creates the cache collections.

Overrides:
  `createCache` in class `LazyOrderedSet<E>`